PHPExcel

# Class: PHPExcel_HashTable

Source Location: /PHPExcel/HashTable.php

### Class Overview

PHPExcel_HashTable

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Variables

- $_items
- $_keyMap

### Methods

- __construct
- add
- addFromSource
- clear
- count
- getByHashCode
- getByIndex
- getIndexForHashCode
- remove
- toArray
- __clone

### Class Details

[line 36]
PHPExcel_HashTable

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_items = array()

[line 43]

HashTable elements

#### Tags:

access: | public

Type: | array

[ Top ]

#### $_keyMap = array()

[line 50]

HashTable key map

#### Tags:

access: | public

Type: | array

[ Top ]

### Class Methods

### constructor __construct [line 58]

`PHPExcel_HashTable __construct( [PHPExcel_IComparable[] $pSource = null])`

Create a new PHPExcel_HashTable

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_IComparable[] | $pSource | Optional source array to create HashTable from

[ Top ]

### method add [line 91]

`void add( [PHPExcel_IComparable $pSource = null])`

Add HashTable item

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_IComparable | $pSource | Item to add

[ Top ]

### method addFromSource [line 72]

`void addFromSource( [PHPExcel_IComparable[] $pSource = null])`

Add HashTable items from source

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_IComparable[] | $pSource | Source array to create HashTable from

[ Top ]

### method clear [line 128]

`void clear( )`

Clear HashTable

#### Tags:

access: | public

[ Top ]

### method count [line 138]

`int count( )`

Count

#### Tags:

access: | public

[ Top ]

### method getByHashCode [line 174]

`PHPExcel_IComparable getByHashCode( [string $pHashCode = ''])`

Get by hashcode

#### Tags:

access: | public

#### Parameters:

string | $pHashCode |

[ Top ]

### method getByIndex [line 159]

`PHPExcel_IComparable getByIndex( [int $pIndex = 0])`

Get by index

#### Tags:

access: | public

#### Parameters:

int | $pIndex |

[ Top ]

### method getIndexForHashCode [line 148]

`int getIndexForHashCode( [string $pHashCode = ''])`

Get index for hash code

#### Tags:

return: | Index
access: | public

#### Parameters:

string | $pHashCode |

[ Top ]

### method remove [line 105]

`void remove( [PHPExcel_IComparable $pSource = null])`

Remove HashTable item

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_IComparable | $pSource | Item to remove

[ Top ]

### method toArray [line 187]

`PHPExcel_IComparable[] toArray( )`

HashTable to array

#### Tags:

access: | public

[ Top ]

### method __clone [line 194]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:21 +0200 by phpDocumentor 1.4.4